---
title: RTCDataChannel.bufferedAmountLowThreshold
slug: Web/API/RTCDataChannel/bufferedAmountLowThreshold
tags:
  - Experimental
  - Property
  - RTCDataChannel
  - Reference
  - WebRTC
  - bufferedAmountLowThreshold
---
<p>{{APIRef("WebRTC")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <code>RTCDataChannel</code> property <code><strong>bufferedAmountLowThreshold</strong></code> is used to specify the number of bytes of buffered outgoing data that is considered "low." The default value is 0.</span> When the number of buffered outgoing bytes, as indicated by the {{domxref("RTCDataChannel.bufferedAmount", "bufferedAmount")}} property, falls to or below this value, a {{event("bufferedamountlow")}} event is fired. This event may be used, for example, to implement code which queues more messages to be sent whenever there's room to buffer them. Listeners may be added with {{domxref("RTCDataChannel.onbufferedamountlow", "onbufferedamountlow")}} or {{domxref("EventTarget.addEventListener", "addEventListener()")}}.</p>

<p>The user agent may implement the process of actually sending data in any way it chooses; this may be done periodically during the event loop or truly asynchronously. As messages are actually sent, this value is reduced accordingly.</p>

<div class="note">
<p><code>bufferedamountlow </code>events are not fired after the data channel is closed.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>threshold</em> = <em>aDataChannel</em>.bufferedAmountLowThreshold;

<em>aDataChannel</em>.bufferedAmountLowThreshold = <em>threshold</em>;
</pre>

<h3 id="Value">Value</h3>

<p>The number of queued outgoing data bytes below which the buffer is considered to be "low."</p>

<h2 id="Example">Example</h2>

<p>In this snippet of code, <code>bufferedAmountLowThreshold</code> is set to 64kB, and a handler for the {{event("bufferedamountlow")}} event is established by setting the {{domxref("RTCDataChannel.onbufferedamountlow")}} property to a function which should send more data into the buffer by calling {{domxref("RTCDataChannel.send", "send()")}}.</p>

<pre class="brush: js">var dc = peerConnection.createDataChannel("File Transfer");
<code>dc.bufferedAmountLowThreshold = 65535;

dc.onbufferedamountlow = function() {
  /* use send() to queue more data to be sent */
};</code>
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-rtcdatachannel-bufferedamountlowthreshold', 'RTCDataChannel.bufferedAmountLowThreshold') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCDataChannel.bufferedAmountLowThreshold")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC">WebRTC</a></li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Using_data_channels">Using WebRTC data channels</a></li>
 <li>{{domxref("RTCDataChannel")}}</li>
 <li>{{domxref("RTCDataChannel.bufferedAmount")}}</li>
 <li>{{event("bufferedamountlow")}} event</li>
 <li>{{domxref("RTCDataChannel.onbufferedamountlow")}}</li>
</ul>
